package com.googlecode.mgwt.ui.client.theme;

import com.google.gwt.core.client.GWT;
import com.googlecode.mgwt.ui.client.MGWT;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeAndroid;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeAndroidTablet;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeBlackberry;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeDesktop;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeIPad;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeIPadRetina;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeIPhone;
import com.googlecode.mgwt.ui.client.theme.base.MGWTClientBundleBaseThemeRetina;

public class MGWTThemeBaseThemeStandardImpl implements MGWTTheme {

	private MGWTClientBundle bundle;

	public MGWTThemeBaseThemeStandardImpl() {

		if (MGWT.getOsDetection().isAndroidPhone()) {
			bundle = GWT.create(MGWTClientBundleBaseThemeAndroid.class);
		}

		if (MGWT.getOsDetection().isAndroidTablet()) {
			bundle = GWT.create(MGWTClientBundleBaseThemeAndroidTablet.class);
		}

		if (MGWT.getOsDetection().isIPhone()) {
			if (MGWT.getOsDetection().isRetina()) {
				bundle = GWT.create(MGWTClientBundleBaseThemeRetina.class);
			} else {
				bundle = GWT.create(MGWTClientBundleBaseThemeIPhone.class);
			}
		}

		if (MGWT.getOsDetection().isIPad()) {
			if (MGWT.getOsDetection().isIPadRetina()) {
				bundle = GWT.create(MGWTClientBundleBaseThemeIPadRetina.class);
			} else {
				bundle = GWT.create(MGWTClientBundleBaseThemeIPad.class);
			}

		}

		if (MGWT.getOsDetection().isBlackBerry()) {
			bundle = GWT.create(MGWTClientBundleBaseThemeBlackberry.class);
		}

		if (MGWT.getOsDetection().isDesktop()) {
			bundle = GWT.create(MGWTClientBundleBaseThemeDesktop.class);
		}

	}

	@Override
	public MGWTClientBundle getMGWTClientBundle() {
		return bundle;
	}

}
